## usbmuxctl 0.1.4+dfsg

=== Makefile ===
PYTHON=python3
PYTHON_ENV_ROOT=envs
PYTHON_PACKAGING_VENV=$(PYTHON_ENV_ROOT)/$(PYTHON)-packaging-env
PYTHON_TESTING_ENV=$(PYTHON_ENV_ROOT)/$(PYTHON)-qa-env

.PHONY: clean

# packaging environment #######################################################
$(PYTHON_PACKAGING_VENV)/.created:
	rm -rf $(PYTHON_PACKAGING_VENV) && \
	$(PYTHON) -m venv $(PYTHON_PACKAGING_VENV) && \
	. $(PYTHON_PACKAGING_VENV)/bin/activate && \
	python3 -m pip install --upgrade pip && \
	python3 -m pip install build && \
	date > $(PYTHON_PACKAGING_VENV)/.created

.PHONY: packaging-env build

packaging-env: $(PYTHON_PACKAGING_VENV)/.created

build: packaging-env
	. $(PYTHON_PACKAGING_VENV)/bin/activate && \
	rm -rf dist *.egg-info && \
	python3 -m build


# helper ######################################################################
clean:
	rm -rf $(PYTHON_ENV_ROOT)

envs: env packaging-env


# testing #####################################################################
$(PYTHON_TESTING_ENV)/.created:
	rm -rf $(PYTHON_TESTING_ENV) && \
	$(PYTHON) -m venv $(PYTHON_TESTING_ENV) && \
	. $(PYTHON_TESTING_ENV)/bin/activate && \
	python3 -m pip install pip --upgrade && \
	python3 -m pip install ruff codespell && \
	date > $(PYTHON_TESTING_ENV)/.created

.PHONY: qa qa-codespell qa-codespell-fix qa-ruff qa-ruff-fix

qa: qa-codespell qa-ruff

qa-codespell: $(PYTHON_TESTING_ENV)/.created
	. $(PYTHON_TESTING_ENV)/bin/activate && \
	codespell

qa-codespell-fix: $(PYTHON_TESTING_ENV)/.created
	. $(PYTHON_TESTING_ENV)/bin/activate && \
	codespell -w

qa-ruff: $(PYTHON_TESTING_ENV)/.created
	. $(PYTHON_TESTING_ENV)/bin/activate && \
	ruff format --check --diff && ruff check

qa-ruff-fix: $(PYTHON_TESTING_ENV)/.created
	. $(PYTHON_TESTING_ENV)/bin/activate && \
	ruff format && ruff check --fix

## usbmuxctl 0.1.4%2Bdfsg

=== debian/control ===
Source: usbmuxctl
Maintainer: Manuel Traut <manut@mecka.net>
Section: misc
Priority: optional
Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools (>= 65.3.0),
  python3-setuptools-scm,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/linux-automation/usbmuxctl
Vcs-Git: https://salsa.debian.org/debian/usbmuxctl.git
Vcs-Browser: https://salsa.debian.org/debian/usbmuxctl

Package: python3-usbmuxctl
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, dfu-util
Recommends: python3-coloredlogs
Description: Module to control an usb-mux hardware
 This is a Python module to control the Linux Automation GmbH USB-Mux.
 USB-Muxes contain an USB Hub, high speed analog switches, power switches and a
 microcontroller for control. USB-Muxes enable the automated testing of
 embedded USB devices by allowing the connection of a USB device to a DUT
 (device under test) without requiring physical access.
 The USB-Mux hardware and software is usually used with Labgrid

Package: usbmuxctl
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-usbmuxctl
Description: Tool to control an usb-mux from the command line
 This is a command line tool to control a Linux Automation GmbH USB-Mux.
 USB-Muxes contain an USB Hub, high speed analog switches, power switches and a
 microcontroller for control. USB-Muxes enable the automated testing of
 embedded USB devices by allowing the connection of a USB device to a DUT
 (device under test) without requiring physical access.
 The USB-Mux hardware and software is usually used with Labgrid

## usbmuxctl 0.1.4+dfsg

=== debian/changelog ===
usbmuxctl (0.1.4+dfsg-2) unstable; urgency=medium

  * d/control: Fix typo
  * d/control: Use proper section

 -- Manuel Traut <manut@mecka.net>  Fri, 05 Sep 2025 14:48:07 +0200

usbmuxctl (0.1.4+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1104030)

 -- Manuel Traut <manut@mecka.net>  Thu, 24 Apr 2025 15:29:30 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

%:
	dh $@ --with python3 --buildsystem=pybuild

# no tests available
override_dh_auto_test:

=== debian/watch ===
version=4
opts="repack,dversionmangle=auto,repacksuffix=+dfsg" \
https://github.com/linux-automation/usbmuxctl/tags .*/v?(\d.*)@ARCHIVE_EXT@
